opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
CvERTreeTrainData Struct Reference

`#include <ml.hpp>`

Inheritance diagram for CvERTreeTrainData:

## Public Member Functions

virtual const int * | get_cat_var_data (CvDTreeNode *n, int vi, int *cat_values_buf)
virtual const int * | get_cv_labels (CvDTreeNode *n, int *labels_buf)
virtual void | get_ord_var_data (CvDTreeNode *n, int vi, float *ord_values_buf, int *missing_buf, const float **ord_values, const int **missing, int *sample_buf=0)
virtual const int * | get_sample_indices (CvDTreeNode *n, int *indices_buf)
virtual void | get_vectors (const CvMat *_subsample_idx, float *values, uchar *missing, float *responses, bool get_class_idx=false)
virtual void | set_data (const CvMat *trainData, int tflag, const CvMat *responses, const CvMat *varIdx=0, const CvMat *sampleIdx=0, const CvMat *varType=0, const CvMat *missingDataMask=0, const CvDTreeParams &params=CvDTreeParams(), bool _shared=false, bool _add_labels=false, bool _update_data=false)
virtual CvDTreeNode * | subsample_data (const CvMat *_subsample_idx)
Public Member Functions inherited from CvDTreeTrainData
virtual void | clear ()
| CvDTreeTrainData ()
| CvDTreeTrainData (const CvMat *trainData, int tflag, const CvMat *responses, const CvMat *varIdx=0, const CvMat *sampleIdx=0, const CvMat *varType=0, const CvMat *missingDataMask=0, const CvDTreeParams &params=CvDTreeParams(), bool _shared=false, bool _add_labels=false)
virtual void | do_responses_copy ()
virtual void | free_node (CvDTreeNode *node)
virtual void | free_node_data (CvDTreeNode *node)
virtual void | free_train_data ()
virtual int | get_child_buf_idx (CvDTreeNode *n)
virtual const int * | get_class_labels (CvDTreeNode *n, int *labels_buf)
int | get_num_classes () const
virtual const float * | get_ord_responses (CvDTreeNode *n, float *values_buf, int *sample_indices_buf)
int | get_var_type (int vi) const
int | get_work_var_count () const
virtual CvDTreeNode * | new_node (CvDTreeNode *parent, int count, int storage_idx, int offset)
virtual CvDTreeSplit * | new_split_cat (int vi, float quality)
virtual CvDTreeSplit * | new_split_ord (int vi, float cmp_val, int split_point, int inversed, float quality)
virtual void | read_params (CvFileStorage *fs, CvFileNode *node)
virtual bool | set_params (const CvDTreeParams &params)
virtual void | write_params (CvFileStorage *fs) const
virtual | ~CvDTreeTrainData ()

## Public Attributes

const CvMat * | missing_mask
Public Attributes inherited from CvDTreeTrainData
CvMat * | buf
int | buf_count
int | buf_size
CvMat * | cat_count
CvMat * | cat_map
CvMat * | cat_ofs
int | cat_var_count
CvMat * | counts
CvSet * | cv_heap
CvDTreeNode * | data_root
CvMat * | direction
bool | have_labels
bool | have_priors
int | is_buf_16u
bool | is_classifier
int | max_c_count
CvSet * | node_heap
CvSet * | nv_heap
int | ord_var_count
CvDTreeParams | params
CvMat * | priors
CvMat * | priors_mult
const CvMat * | responses
CvMat * | responses_copy
cv::RNG * | rng
int | sample_count
bool | shared
CvMat * | split_buf
CvSet * | split_heap
CvMemStorage * | temp_storage
int | tflag
const CvMat * | train_data
CvMemStorage * | tree_storage
int | var_all
int | var_count
CvMat * | var_idx
CvMat * | var_type
int | work_var_count

## Member Function Documentation

virtual const int* CvERTreeTrainData::get_cat_var_data | ( | CvDTreeNode * | n,
|  | int | vi,
|  | int * | cat_values_buf
| ) |  |

virtual

Reimplemented from CvDTreeTrainData.

virtual const int* CvERTreeTrainData::get_cv_labels | ( | CvDTreeNode * | n,
|  | int * | labels_buf
| ) |  |

virtual

Reimplemented from CvDTreeTrainData.

virtual void CvERTreeTrainData::get_ord_var_data | ( | CvDTreeNode * | n,
|  | int | vi,
|  | float * | ord_values_buf,
|  | int * | missing_buf,
|  | const float ** | ord_values,
|  | const int ** | missing,
|  | int * | sample_buf = `0`
| ) |  |

virtual

Reimplemented from CvDTreeTrainData.

virtual const int* CvERTreeTrainData::get_sample_indices | ( | CvDTreeNode * | n,
|  | int * | indices_buf
| ) |  |

virtual

Reimplemented from CvDTreeTrainData.

virtual void CvERTreeTrainData::get_vectors | ( | const CvMat * | _subsample_idx,
|  | float * | values,
|  | uchar * | missing,
|  | float * | responses,
|  | bool | get_class_idx = `false`
| ) |  |

virtual

Reimplemented from CvDTreeTrainData.

virtual void CvERTreeTrainData::set_data | ( | const CvMat * | trainData,
|  | int | tflag,
|  | const CvMat * | responses,
|  | const CvMat * | varIdx = `0`,
|  | const CvMat * | sampleIdx = `0`,
|  | const CvMat * | varType = `0`,
|  | const CvMat * | missingDataMask = `0`,
|  | const CvDTreeParams & | params = `CvDTreeParams()`,
|  | bool | _shared = `false`,
|  | bool | _add_labels = `false`,
|  | bool | _update_data = `false`
| ) |  |

virtual

Reimplemented from CvDTreeTrainData.

virtual CvDTreeNode* CvERTreeTrainData::subsample_data | ( | const CvMat * | _subsample_idx | ) |

virtual

Reimplemented from CvDTreeTrainData.

## Member Data Documentation

const CvMat* CvERTreeTrainData::missing_mask

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp